namespace Dashboard.Events
{
    public class AnimationTickEventArgs : UiEventArgs
    {
        /// <summary>
        /// Animation delta time in seconds.
        /// </summary>
        public float Delta { get; }

        public AnimationTickEventArgs(float delta) : base(UiEventType.AnimationTick)
        {
            Delta = delta;
        }
    }

    public interface IAnimationTickEvent
    {
        event EventHandler<AnimationTickEventArgs> AnimationTimerEvent;
    }
}
