using BlurgText;

namespace Dashboard.Drawing.OpenGL.Text
{
    public class DbBlurgFont : IFont
    {
        public IDrawExtension Kind { get; } = BlurgFontExtension.Instance;
        public Blurg Owner { get; }
        public BlurgFont Font { get; }
        public float Size { get; }
        public string Family => Font.FamilyName;
        public FontWeight Weight => (FontWeight)Font.Weight.Value;
        public FontSlant Slant => Font.Italic ? FontSlant.Italic : FontSlant.Normal;
        public FontStretch Stretch => FontStretch.Normal;

        internal string? Path { get; init; }

        public DbBlurgFont(Blurg owner, BlurgFont font, float size)
        {
            Owner = owner;
            Font = font;
            Size = size;
        }

        public DbBlurgFont WithSize(float size)
        {
            return new DbBlurgFont(Owner, Font, size);
        }
    }
}
