using System.Drawing;
using Dashboard.Windowing;

namespace Dashboard.OpenGL
{
    /// <summary>
    /// Interface for GL context operations
    /// </summary>
    public interface IGLContext : IDeviceContext
    {
        /// <summary>
        /// The associated group for context sharing.
        /// </summary>
        /// <remarks>-1 assigns no group.</remarks>
        public int ContextGroup { get; }

        /// <summary>
        /// The size of the framebuffer in pixels.
        /// </summary>
        public Size FramebufferSize { get; }

        /// <summary>
        /// Called when the context is disposed.
        /// </summary>
        event Action Disposed;

        /// <summary>
        /// Activate this OpenGL Context.
        /// </summary>
        void MakeCurrent();
    }
}
